require 'semente/version'
require 'thor'
require 'thor/group'

# Modulo Semente
module Semente
  class Semente < Thor
    desc '-v or --version', 'Mostrar versao do app'
    map %w[-v --version] => :version

    def version
      say "Semente #{ VERSION }"
    end

    desc 'brota <name project>', 'Cria um novo projeto Semente'
    def brota(app)
      system "rails new #{ app }"
    end

    desc 'Ruby_version', 'Verificar versão do ruby mais recente'
    def ruby_version
      puts <<-TW
      ********** Sua versao atual do Ruby **********'
      TW
      system 'rvm current'
      # ruby_v = system "ruby -v"
      #  result = ruby_v.split('ruby')
      #  puts result.last.start_with?('2.5.3')
    end
  end
end
